{#
 * Copyright (C) 2014, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
#}
{% extends '@ChillMain/Admin/layoutWithVerticalMenu.html.twig' %}

{% block title %}{{ 'CustomField edit'|trans }}{% endblock title %}

{% block admin_content %}
    <h1>{{ 'CustomField edit'|trans }}</h1>

    <h2>{{ 'General informations'|trans }}</h2>
    {{ form_start(edit_form) }}
    {{ form_row(edit_form.name) }}
    {{ form_row(edit_form.active) }}
    {% if edit_form.customFieldsGroup is defined %}
    {{ form_row(edit_form.customFieldsGroup) }}
    {% endif %}
    {{ form_row(edit_form.ordering) }}
    {{ form_row(edit_form.required) }}
    {% if edit_form.options is not empty %}
    <h2>{{ 'Options'|trans }}</h2>
    {% for option in edit_form.options %}
        {{ form_row(option) }}
    {% endfor %}
    {% endif %}
    {{ form_row(edit_form.submit, {'attr': { 'class': 'btn btn-update' } } ) }}
    {{ form_end(edit_form) }}

        <ul class="record_actions">
    <li>
        <a href="{{ path('customfieldsgroup_show', { 'id': entity.customFieldsGroup.id }) }}" class="btn btn-reset">
            {{ 'Back to the group'|trans }}
        </a>
    </li>
</ul>
{% endblock %}
